var BASE_URL = 'https://api.momstyle.cn/';
var IMAGE_FILE_URL = 'https://pic.momstyle.cn/';
var APP_NAME = 'ikbk';
angular
  .module('gu.constant', [])
  .constant('API_ENDPOINT', {
    H5_URL: BASE_URL + APP_NAME + '/',
    PUBLIC_FILE_URL: BASE_URL + 'storage/',
    IMAGE_FILE_URL: IMAGE_FILE_URL,

    JOURNAL: BASE_URL + 'journal?app=' + APP_NAME,
    NEWS: BASE_URL + 'news?app=' + APP_NAME,

    CATEGORIES: BASE_URL + 'categories?app=' + APP_NAME,
    ALL_TOP_NEWS: BASE_URL + 'all_top_news?app=' + APP_NAME,

    TOP_NEWS_OF_FOCUSED_JOURNALS: BASE_URL + 'top_news_in_journals_by_user?app=' + APP_NAME,
    TOP_NEWS_OF_JOURNAL: BASE_URL + 'top_news_of_journal?app=' + APP_NAME,

    LATEST_NEWS: BASE_URL + 'latest_news?app=' + APP_NAME,
    RECENT_JOURNALS: BASE_URL + 'recent_journals?app=' + APP_NAME,
    NEWS_BY_JOURNAL: BASE_URL + 'news_by_journal?app=' + APP_NAME,
    JOURNALS_BY_CATEGORY: BASE_URL + 'journal_by_category?app=' + APP_NAME,
    SEARCH_JOURNALS: BASE_URL + 'search_journals?app=' + APP_NAME,
    SEARCH_NEWS: BASE_URL + 'search_news?app=' + APP_NAME,

    TEST_LOGIN: BASE_URL + 'test_user?app=' + APP_NAME,
    LOGIN: BASE_URL + 'authenticate?app=' + APP_NAME,
    UPDATE_PROFILE: BASE_URL + 'update_profile?app=' + APP_NAME,
    UPDATE_PROFILE_WITHOUT_AVATAR: BASE_URL + 'update_profile_without_avatar?app=' + APP_NAME,

    UPDATE_HEART: BASE_URL + 'update_heart?app=' + APP_NAME,
    HEART_NEWS: BASE_URL + 'heart_news_by_user?app=' + APP_NAME,
    UPDATE_FOCUS: BASE_URL + 'update_focus?app=' + APP_NAME,
    FOCUSED_JOURNALS: BASE_URL + 'focused_journals_by_user?app=' + APP_NAME,
    UPDATE_LIKED: BASE_URL + 'update_liked?app=' + APP_NAME,
    LIKED_NEWS: BASE_URL + 'liked_news_by_user?app=' + APP_NAME,
    IS_HEART_NEWS: BASE_URL + 'is_heart_news?app=' + APP_NAME,
    IS_LIKED_NEWS: BASE_URL + 'is_liked_news?app=' + APP_NAME,
    IS_FOCUSED_JOURNAL: BASE_URL + 'is_focused_journal?app=' + APP_NAME,

    BASE_URL: BASE_URL
  })
